%define	name	kiki
%define	version	0.9.2
%define	cvssnap	cvs20050617
%define rel	0.%{cvssnap}.1
%define	release	%mkrel %{rel}
%define	Summary	Kiki the nanobot
%define	py_ver	%(python -V 2>&1 | cut -f2 -d" " | cut -f1,2 -d".")


Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://kiki.sourceforge.net/
Source0:	%{name}-%{version}-%{cvssnap}.tar.bz2
Source1:	%{name}-icons.tar.bz2
Source2:	%{name}-story.txt.bz2
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		%{name}-0.9.0-mdkconf.patch.bz2
Patch1:		kiki-0.9.0-python-dynling-fix.patch.bz2
Patch2:		kiki-0.9.2-gcc4-fix.patch.bz2
License:	Public Domain
Group:		Games/Puzzles
Summary:	%{Summary}
BuildRequires:	Mesa-common-devel SDL_mixer-devel SDL_image-devel python-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
"kiki the nano bot" is a 3-D puzzle game, basically a mixture
of the games Sokoban and Kula-World.

kiki has won the Categories 'Best Graphics', 'Best Originality'
and 'Best Overall Game' in the uDevGame Game Programming Contest 2002.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .mdkconf
%patch1 -p2 -b .dynlink
%patch2 -p1 -b .gcc4
bzcat %{SOURCE2} > story.txt
rm -rf `find -type d -name CVS`

%build
cd kodilib/linux; %make OPTFLAGS="$RPM_OPT_FLAGS" PYTHONHOME=%{_libdir}/python%{py_ver}/; cd -
cd linux; %make OPTFLAGS="$RPM_OPT_FLAGS" PYTHON_VERSION=%{py_ver} PYTHONHOME=%{_libdir}/python%{py_ver}/ GLLIBS="-lglut -lGLU -lGL -L%{_prefix}/X11R6/%{_lib}"; cd -

%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__install} -m755 linux/%{name} -D $RPM_BUILD_ROOT%{_gamesbindir}/%{name}.bin

%{__cat} <<EOF > $RPM_BUILD_ROOT%{_gamesbindir}/%{name}
#!/bin/sh
export KIKI_HOME="%{_gamesdatadir}/%{name}"
%{_gamesbindir}/%{name}.bin $@
EOF

%{__install} -d $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
cp -a {sounds,py} $RPM_BUILD_ROOT%{_gamesdatadir}/%{name}
%{__install} -d $RPM_BUILD_ROOT%{_menudir}
%{__cat} <<EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
		icon=%{name}.png \
		needs="x11" \
		section="More Applications/Games/Puzzles" \
		title="%{Summary}"\
		longtitle="%{Summary}"
EOF

%{__install} -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
%{__install} -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
%{__install} -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc linux/Readme.txt story.txt Thanks.txt uDevGame\ Readme.txt
%{_gamesdatadir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_menudir}/%{name}
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}*

%changelog
* Thu Aug 25 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.2-0.cvs20050617.1mdk
- update to latest from cvs
- dynamically link against python to avoid unresolved symbols (P1)
- fix build with gcc4 (P2)

* Thu May 05 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.9.0-11.cvs20040609.mdk
- lib64 fix

* Fri Apr 08 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-10.cvs20040609.mdk
- rebuild

* Fri Dec 24 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-9.cvs20040609.mdk
- rebuild for new python

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-8.cvs20040609.mdk
- rebuild for new menu

* Wed Jun 09 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-7.cvs20040609.mdk
- update from cvs to fix #9998
- update P0
- drop P1

* Tue Jun  8 2004 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-6mdk
- rebuild for new g++

* Fri Jan 23 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-5mdk
- link against dynamic python library in stead of static to make kiki work with python-2.3 (P1)
- don't bzip2 icons in src.rpm
- fix buildrequires

* Fri Sep 12 2003 Michael Scherer <scherer.michael@free.fr> 0.9.0-4mdk
- BuildRequires python-devel 
 
* Thu Aug 14 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-3mdk
- rebuild for new python

* Sat Jul 26 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.0-2mdk
- bump, binary uploaded differed from source rpm, had the wrong group & menu section

* Wed Jul 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 0.9.0-1mdk
- initial mdk release
